be.fgov.ehealth.technicalconnector.ra.domain

## Class NewCertificateContract

- java.lang.Object
- - be.fgov.ehealth.technicalconnector.ra.domain.Request
  - - be.fgov.ehealth.technicalconnector.ra.domain.NewCertificateContract

- All Implemented Interfaces:
    Serializable

      public class NewCertificateContract
      extends Request

  Contract used by requesting a new contract.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NewCertificateContract(GeneratedContract generatedContract, KeyPair keyPair, List<UsageType> usageTypes)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `ContactData` | `getContact()`
    `String` | `getDn()`
    `byte[]` | `getPkcs10DerEncoded()`
    `Actor` | `getSigner()`
    `LocalizedText` | `getText()`
    `List<UsageType>` | `getUsageTypes()`
    `int` | `hashCode()`

    - ### Methods inherited from class be.fgov.ehealth.technicalconnector.ra.domain.Request

      `getId, getRequestor`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NewCertificateContract

          public NewCertificateContract(GeneratedContract generatedContract,
                                        KeyPair keyPair,
                                        List<UsageType> usageTypes)
                                 throws TechnicalConnectorException

      Throws:
        `TechnicalConnectorException`

  - ### Method Detail

    - #### getContact

          public ContactData getContact()

    - #### getPkcs10DerEncoded

          public byte[] getPkcs10DerEncoded()

    - #### getDn

          public String getDn()

    - #### getUsageTypes

          public List<UsageType> getUsageTypes()

    - #### getSigner

          public Actor getSigner()

    - #### getText

          public LocalizedText getText()

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Request`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Request`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.